%define with_libstdc_preview 0

Name:		scim-skk
Version:	0.5.2
Release:	8%{?dist}
Summary:	SCIM IMEngine module for skk

Group:		System Environment/Libraries
License:	GPL
URL:		http://scim-imengine.sourceforge.jp/
Source0:	http://sourceforge.jp/projects/scim-imengine/files/%{name}-%{version}.tar.gz
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

Patch0: scim-skk-broken-iter.diff

BuildRequires:	scim-devel
%if %{with_libstdc_preview}
Buildrequires:  libstdc++so7-devel
%endif
Requires:	scim, skkdic

%description
Scim-skk is a SCIM IMEngine module for skk to support Japanese input


%prep
%setup -q


%build
%if %{with_libstdc_preview}
export CXX=%{_bindir}/g++-libstdc++-so_7
%endif
%configure --disable-static
%if %{with_libstdc_preview}
# tweak libtool for libstdc++-so7
sed -i -e "s/4.1.0 /4.2.0-`grep datestamp= %{_bindir}/g++-libstdc++-so_7 | sed -e "s/datestamp=//"` /" libtool
%endif
make  %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
%if %{with_libstdc_preview}
export CXX=%{_bindir}/g++-libstdc++-so_7
%endif
make DESTDIR=${RPM_BUILD_ROOT} install

rm $RPM_BUILD_ROOT%{_libdir}/scim-1.0/*/{IMEngine,SetupUI}/*.la

%find_lang %{name}


%clean
rm -rf $RPM_BUILD_ROOT


%files -f %{name}.lang
%defattr(-,root,root,-)
%doc AUTHORS COPYING NEWS README ChangeLog
%{_libdir}/scim-1.0/*/IMEngine/skk.so
%{_libdir}/scim-1.0/*/SetupUI/skk-imengine-setup.so
%{_datadir}/scim/icons/scim-skk.png


%changelog
* Sat Sep 15 2006 Ryo Dairiki <ryo-dairiki@users.sourceforge.net> - 0.5.2-8
- mass rebuilding.

* Sun Jul 23 2006 Ryo Diairki <ryo-dairiki@users.sourceforge.net> - 0.5.2-7
- add a patch for the problem of broken iterators.

* Mon Jun 19 2006 Jens Petersen <petersen@redhat.com> - 0.5.2-5
- rebuild (to stay above FE5)

* Tue Apr  4 2006 Jens Petersen <petersen@redhat.com> - 0.5.2-4
- rebuild without libstdc++so7

* Mon Feb 13 2006 Jens Petersen <petersen@redhat.com> - 0.5.2-3
- build conditionally with libstdc++so7 preview library (#166041)
  - add with_libstdc_preview switch and tweak libtool to link against it
- update filelist since moduledir is now api-versioned


* Sun Feb 12 2006 Ryo Dairiki <ryo-dairiki@users.sourceforge.net> - 0.5.2-2
- a little cleanup

* Wed Jan 25 2006 Ryo Dairiki <ryo-dairiki@users.sourceforge.net> - 0.5.2-1
- update to 0.5.2

* Sat Dec 17 2005 Ryo Dairiki <ryo-dairiki@users.sourceforge.net> - 0.5.1-1
- update to 0.5.1

* Fri Dec 2 2005 Ryo Dairiki <ryo-dairiki@users.sourceforge.net> - 0.5.0-1
- update to 0.5.0

* Tue Nov 1 2005 Ryo Diairki <ryo-dairiki@users.sourceforge.net> - 0.4.0-1
- update to 0.4.0

* Fri Oct  7 2005 Ryo Dairiki <ryo-dairiki@users.sourceforge.net> - 0.3.0-5
- add scim in the requirement

* Sat Sep 17 2005 Ryo Dairiki <ryo-dairiki@users.sourceforge.net> - 0.3.0-3
- a bit more cleanup (Thanks, Jens)

* Tue Sep  6 2005 Ryo Dairiki <ryo-dairiki@users.sourceforge.net> - 0.3.0-2
- initial packaging for Fedora Extras
- cleanup specfile (Jens Petersen)

